### Method

# Aravis Buffer get_gendc_descriptor

since: 0.8.31

#### Declaration [src]

    void*
    arv_buffer_get_gendc_descriptor (
      ArvBuffer* buffer,
      size_t* size
    )

#### Description [src]

GenDC Descriptor accessor.

Available since: 0.8.31

#### Parameters

`size`

  Type: `size_t*`

  Location to store chunk data size, or `NULL`.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.

#### Return value

Type: An array of `guint8`

A pointer to the GenDC Descriptor.

The length of the array is in the `size` argument.
The returned data is owned by the instance.